   // Función para ocultar o mostrar el div según si se realiza una búsqueda
   function toggleCategoryDefault() {
    let categoryDefault = document.getElementById("category-default");
    let searchInput = document.querySelector('input[name="q"]');

    // Verifica si la variable GET 'q' está vacía
    let queryString = window.location.search;
    let urlParams = new URLSearchParams(queryString);
    let qParam = urlParams.get('q');

    if (!qParam || qParam.trim() === "") {
        categoryDefault.style.display = "flex"; // Muestra el div si 'q' está vacío
    } else {
        categoryDefault.style.display = "none"; // Oculta el div si 'q' no está vacío
    }
}



// Agrega un manejador de eventos al botón con la clase 'close' para eliminar el parámetro GET 'q' de la URL

document.getElementById("btn-close").addEventListener("click", function () {
    let currentUrl = window.location.href;
    let newUrl = removeQueryParam(currentUrl, 'q'); // Elimina el parámetro 'q' de la URL
    history.replaceState({}, document.title, newUrl); // Actualiza la URL sin recargar la página
    toggleCategoryDefault(); // Llama a toggleCategoryDefault para verificar la búsqueda vacía

    // Oculta el div con el id 'category-default'
    let categoryDefault = document.getElementById("category-container-search");
    categoryDefault.style.display = "none";
    this.style.display="none";
});


// Función para eliminar un parámetro de la URL
function removeQueryParam(url, param) {
    var urlParts = url.split("?");
    if (urlParts.length >= 2) {
        var prefix = encodeURIComponent(param) + "=";
        var params = urlParts[1].split(/[&;]/g);

        // Itera sobre los parámetros y elimina 'param' si lo encuentra
        for (var i = params.length; i-- > 0;) {
            if (params[i].lastIndexOf(prefix, 0) !== -1) {
                params.splice(i, 1);
            }
        }
     return urlParts[0] + (params.length > 0 ? "?" + params.join("&") : "");
    }
    return url;
}

// Llama a la función al cargar la página y cuando se envía el formulario de búsqueda
document.addEventListener("DOMContentLoaded", toggleCategoryDefault,);
document.querySelector("form").addEventListener("submit", toggleCategoryDefault);